/*
 * @Author: 阿小凉
 * @Date: 2023-11-29 09:39:46
 * @LastEditTime: 2023-12-13 14:51:52
 */
// 招商企业
import request from '@/utils/request'


// 列表
export const moduleList = params => request({
  url: '/module/list',
  method: 'get',
  params
})
// 人才模块
export const talentModule = params => request({
  url: '/module/talent',
  method: 'get',
  params
})
// 行业数据模块
export const industryModule = params => request({
  url: '/module/industry',
  method: 'get',
  params
})
// 招商模块
export const investModule = params => request({
  url: '/module/invest',
  method: 'get',
  params
})
// 研发模块
export const researchModule = params => request({
  url: '/module/research',
  method: 'get',
  params
})
// 获取首页背景图
export const backgroundModule = params => request({
  url: '/module/background',
  method: 'get',
  params
})
// 产业园区
export const introductionModule = params => request({
  url: '/module/introduction',
  method: 'get',
  params
})
// 所有模块
export const moduleBlock = params => request({
  url: '/module/block',
  method: 'get',
  params
})
// 分类
export const moduleCategory = params => request({
  url: '/module/category',
  method: 'get',
  params
})
// 新增
export const addModule = data => request({
  url: '/module/add',
  method: 'post',
  data
})
// 修改
export const editModule = data => request({
  url: '/module/edit',
  method: 'post',
  data
})
// 删除
export const deleteModule = data => request({
  url: '/module/delete',
  method: 'post',
  data
})
